pqxx::stream_base Class Referenceabstract

`#include <stream_base.hxx>`

Inheritance diagram for pqxx::stream_base:
[legend]

## Public Member Functions

| stream_base (transaction_base &)
virtual | ~stream_base () noexcept=default
virtual void | complete ()=0
| operator bool () const noexcept
bool | operator! () const noexcept
Public Member Functions inherited from pqxx::internal::transactionfocus
| transactionfocus (transaction_base &t)
| transactionfocus ()=delete
| transactionfocus (const transactionfocus &)=delete
transactionfocus & | operator= (const transactionfocus &)=delete
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname)
| namedclass (const std::string &Classname, const std::string &Name)
const std::string & | name () const noexcept
| Object name, or the empty string if no name was given. More...
const std::string & | classname () const noexcept
| Class name. More...
std::string | description () const
| Combination of class name and object name; or just class name. More...

## Protected Member Functions

virtual void | close ()
Protected Member Functions inherited from pqxx::internal::transactionfocus
void | register_me ()
void | unregister_me () noexcept
void | reg_pending_error (const std::string &) noexcept
bool | registered () const noexcept

## Static Protected Member Functions

template<typename C >
static std::string | columnlist (const C &)
template<typename I >
static std::string | columnlist (I begin, I end)

## Protected Attributes

bool | m_finished
Protected Attributes inherited from pqxx::internal::transactionfocus
transaction_base & | m_trans

## Constructor & Destructor Documentation

## stream_base()

pqxx::stream_base::stream_base | ( | transaction_base & | tb | ) |

explicit

Implementation of the pqxx::stream_base class.

pqxx::stream_base provides optimized batch access to a database table.

Copyright (c) 2000-2019, Jeroen T. Vermeulen.

See COPYING for copyright license. If you did not receive a file called COPYING with this source code, please notify the distributor of this mistake, or contact the author.

References stream_base().

Referenced by stream_base().

## ~stream_base()

virtual pqxx::stream_base::~stream_base | ( |  | ) |

virtual default noexcept

## Member Function Documentation

## close()

void pqxx::stream_base::close | ( |  | ) |

protected virtual

## columnlist() [1/2]

template<typename C >

std::string pqxx::stream_base::columnlist | ( | const C & | c | ) |

static protected

## columnlist() [2/2]

template<typename I >

std::string pqxx::stream_base::columnlist | ( | I | begin,
|  | I | end
| ) |  |

static protected

References pqxx::separated_list().

## complete()

virtual void pqxx::stream_base::complete | ( |  | ) |

pure virtual

Implemented in pqxx::stream_to, and pqxx::stream_from.

## operator bool()

pqxx::stream_base::operator bool | ( |  | ) | const

noexcept

## operator!()

bool pqxx::stream_base::operator! | ( |  | ) | const

noexcept

## Member Data Documentation

## m_finished

bool pqxx::stream_base::m_finished

protected

The documentation for this class was generated from the following files:

- stream_base.hxx
- stream_base.cxx